package F5::BigIpLog;

sub new {
    my($class) = @_;
    my $self = bless {}, $class;
    return $self;
}

sub bigip_ts_ts_subsystem_error_log { print STDERR "Error encountered in $_[1]: $_[2]\n" if $ENV{F5WAF_LOG_ERRORS_TO_STDERR} }

sub bigip_ts_ts_user_activity_log { print STDERR "$_[0]\n" if $ENV{F5WAF_LOG_ERRORS_TO_STDERR} }

sub bigip_ts_ts_error_msg_log { print STDERR "Error: $_[0]\n" if $ENV{F5WAF_LOG_ERRORS_TO_STDERR} }

sub bigip_ts_ts_info_msg_log { print STDERR "Info: $_[0]\n" if $ENV{F5WAF_LOG_ERRORS_TO_STDERR} }


1;

